import { fromPoint } from "igniteui-react-core";
/**
 * EventArgs class holding information about the dimensions of a hole in a doughnut chart.
*/
export class IgrHoleDimensionsChangedEventArgs {
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    constructor() {
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    /**
     * The center point of the hole.
    */
    get center() {
        return fromPoint(this.i.center);
    }
    /**
     * The radius of the hole.
    */
    get radius() {
        return this.i.radius;
    }
}
